/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* This is an example of the function wcscpy(wchar_t*, const wchar_t*).  This
   make a copy of the second string and store into the first parameter. 
*/
#include <wchar.h>
#include <stdlib.h>

int main() { 
    wchar_t str1[100], str2[100];        
    char *line;
    int retval,len;
    line = "Hello";
    len = strlen(line);

    mbstowcs(str2, line, len);   
    wcscpy(str1, str2);
    fputws(str1, stdout);
    fputs("\n",stdout);
}

